%define section free

Summary:        Java XSLT processor
Name:           jd.xslt
Version:        1.5.5
Release:        1jpp
Epoch:          0
Vendor:         JPackage Project
Distribution:   JPackage
License:        MPL
URL:            http://www.aztecrider.com/xslt/
Source0:        http://www.aztecrider.com/xslt/jdxslt.zip
Source1:        %{name}.jd.xslt.script
Patch0:         %{name}-javadoc-build.patch
Group:          Text Processing/Markup/XML
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       jaxp_parser_impl, bsf, /usr/sbin/update-alternatives, xpp3
BuildRequires:  xml-commons-apis, bsf, xpp3, jpackage-utils >= 0:1.5
Provides:       jaxp_transform_impl

%description
jd.xslt is a XSLT processor that implements the XPath 1.0
Recommendation and the XSLT 1.1 Working Draft. It is written in Java
(requiring a JDK version 1.1 or higher) and available under the
Mozilla Public License 1.1.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc >= 0:1.4.2, xpp3-javadoc, bsf-javadoc

%description    javadoc
Javadoc for %{name}.

%package        manual
Summary:        Manual for %{name}
Group:          Text Processing/Markup/XML

%description    manual
Documentation for %{name}.

%package        demo
Summary:        Demos for %{name}
Group:          Development/Testing
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    demo
Demonstrations and samples for %{name}.

%package        scripts
Summary:        Utility scripts for %{name}
Group:          Text Processing/Markup/XML
Requires:       jpackage-utils >= 0:1.5
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    scripts
Utility scripts for %{name}.


%prep
%setup -q -c
%patch0 -p0
pushd src
unzip -q src.zip
# Clean up jars and other stuff we have elsewhere or will build ourselves.
rm -rf lib/*.jar src/com src/org/xml src/org/w3c/dom src/javax


%build
# CLASSPATH to silence javadoc task
export CLASSPATH=%(build-classpath xml-commons-apis bsf xpp3)
ant \
  -Dbsf.jar=%(find-jar bsf) \
  -Dxpp.jar=%(find-jar xpp3) \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dxpp3.javadoc=%{_javadocdir}/xpp3 \
  -Dbsf.javadoc=%{_javadocdir}/bsf \
  all


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/jdxslt.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p demo.* $RPM_BUILD_ROOT%{_datadir}/%{name}

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# jaxp_transform_impl ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/jaxp_transform_impl.jar


%clean
rm -rf $RPM_BUILD_ROOT


%post
update-alternatives --install %{_javadir}/jaxp_transform_impl.jar \
  jaxp_transform_impl %{_javadir}/%{name}.jar 20

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove jaxp_transform_impl %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc License* README*
%{_javadir}/%{name}*.jar
%ghost %{_javadir}/jaxp_transform_impl.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*


%changelog
* Tue Oct  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.5-1jpp
- Update to 1.5.5.
- Crosslink with local J2SE javadocs instead of xml-commons-apis.
- Crosslink with BSF javadocs.
- Mark javadocs as %%doc.
- Own (%%ghost'd) unversioned javadoc dir symlink.

* Sat Aug 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.4-1jpp
- Update to 1.5.4.
- Save .spec in UTF-8, minor cleanups.

* Tue Jun 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.3-1jpp
- Update to 1.5.3.

* Tue Jun  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.2-2jpp
- Own (ghost) %%{_javadir}/jaxp_transform_impl.jar.
- Remove alternatives in preun instead of postun.

* Tue May 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.2-1jpp
- Update to 1.5.2.

* Mon May  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.1-2jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.1-1jpp
- Update to 1.5.1 and JPackage 1.5.
- Scripts subpackage.
- Include non-versioned javadoc symlink.
- Crosslink javadocs with xml-commons-apis and xpp3.

* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.3.0-2jpp
- oldbsf
- use non-versioned jar in alternative

* Tue Nov 12 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.3.0-1jpp
- Update to 1.3.0.
- Do not remove alternatives on upgrade.
- Fixed demo requirements and Group tag.

* Tue Oct 15 2002 Ville Skyttä <ville.skytta at iki.fi> 1.2.9-1jpp
- Update to 1.2.9.

* Thu Jul 25 2002 Ville Skyttä <ville.skytta at iki.fi> 1.2.8-3jpp
- No more use the provided jar and javadocs, build them instead.
- Add command line script.

* Mon Jul  1 2002 Ville Skyttä <ville.skytta at iki.fi> 1.2.8-2jpp
- Requires jaxp_parser_impl and /usr/sbin/update-alternatives.

* Sun Jun 30 2002 Ville Skyttä <ville.skytta at iki.fi> 1.2.8-1jpp
- Updated to 1.2.8.
- Use sed instead of bash 2 extension when symlinking.
- Provides jaxp_transform_impl.

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.6-1jpp
- contributed by Ville Skyttä <ville.skytta at iki.fi>
